- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.InterconnectAttachmentGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.InterconnectAttachmentGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.InterconnectAttachmentGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.InterconnectAttachmentGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_2)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.InterconnectAttachmentGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_2.availability_sla.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.InterconnectAttachmentGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_3)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.InterconnectAttachmentGroupsGetOperationalStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_3.availability_sla.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectAttachmentGroups/getOperationalStatus#try-it)

Returns the `InterconnectAttachmentStatuses` for the specified InterconnectAttachmentGroup resource.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/interconnectAttachmentGroups/{interconnectAttachmentGroup}/getOperationalStatus`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `interconnectAttachmentGroup` | `string` Name of the interconnectAttachmentGroup resource to query. |

### Request body

The request body must be empty.

### Response body

Response for the InterconnectAttachmentGroupsGetOperationalStatusResponse.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "result": { "groupStatus": enum, "attachmentStatuses": [ { "attachment": string, "isActive": enum, "adminEnabled": boolean, "status": enum } ], "intent": { "availabilitySla": enum }, "configured": { "availabilitySla": { "effectiveSla": enum, "intendedSlaBlockers": [ { "blockerType": enum, "explanation": string, "documentationLink": string, "regions": [ string ], "metros": [ string ], "zones": [ string ], "attachments": [ string ] } ] } }, "operational": { "availabilitySla": { "effectiveSla": enum, "intendedSlaBlockers": [ { "blockerType": enum, "explanation": string, "documentationLink": string, "regions": [ string ], "metros": [ string ], "zones": [ string ], "attachments": [ string ] } ] } } }, "etag": string } ``` |

| Fields ||
|---|---|
| `result` | `object` |
| `result.groupStatus` | `enum` Output only. Summarizes the status of the group. |
| `result.attachmentStatuses[]` | `object` |
| `result.attachmentStatuses[].attachment` | `string` Output only. The URL of the Attachment being described. |
| `result.attachmentStatuses[].isActive` | `enum` Output only. Whether this Attachment is participating in the redundant configuration. This will be ACTIVE if and only if the status below is CONNECTION_UP. Any INACTIVE Attachments are excluded from the analysis that generates operational.availabilitySLA. |
| `result.attachmentStatuses[].adminEnabled` | `boolean` Output only. Whether this Attachment is enabled. This becomes false when the customer drains their Attachment. |
| `result.attachmentStatuses[].status` | `enum` Output only. Whether this Attachment is active, and if so, whether BGP is up. |
| `result.intent` | `object` |
| `result.intent.availabilitySla` | `enum` |
| `result.configured` | `object` |
| `result.configured.availabilitySla` | `object` |
| `result.configured.availabilitySla.effectiveSla` | `enum` |
| `result.configured.availabilitySla.intendedSlaBlockers[]` | `object` |
| `result.configured.availabilitySla.intendedSlaBlockers[].blockerType` | `enum` |
| `result.configured.availabilitySla.intendedSlaBlockers[].explanation` | `string` Output only. A human-readable explanation of this requirement and why it's not met. This is set for every type of requirement. |
| `result.configured.availabilitySla.intendedSlaBlockers[].documentationLink` | `string` Output only. The url of Google Cloud public documentation explaining this requirement. This is set for every type of requirement. |
| `result.configured.availabilitySla.intendedSlaBlockers[].regions[]` | `string` Output only. Regions used to explain this blocker in more detail. These are region names formatted like "us-central1". This will be set for some blockers (like INCOMPATIBLE_REGIONS) but does not apply to others. |
| `result.configured.availabilitySla.intendedSlaBlockers[].metros[]` | `string` Output only. Metros used to explain this blocker in more detail. These are three-letter lowercase strings like "iad". This will be set for some blockers (like NO_ATTACHMENTS_IN_METRO_AND_ZONE) but does not apply to others. |
| `result.configured.availabilitySla.intendedSlaBlockers[].zones[]` | `string` Output only. Zones used to explain this blocker in more detail. Format is "zone1" and/or "zone2". This will be set for some blockers (like MISSING_ZONE) but does not apply to others. |
| `result.configured.availabilitySla.intendedSlaBlockers[].attachments[]` | `string` Output only. URLs of any particular Attachments to explain this blocker in more detail. |
| `result.operational` | `object` Output only. The operational state of the group, including only active Attachments. |
| `result.operational.availabilitySla` | `object` |
| `result.operational.availabilitySla.effectiveSla` | `enum` |
| `result.operational.availabilitySla.intendedSlaBlockers[]` | `object` |
| `result.operational.availabilitySla.intendedSlaBlockers[].blockerType` | `enum` |
| `result.operational.availabilitySla.intendedSlaBlockers[].explanation` | `string` Output only. A human-readable explanation of this requirement and why it's not met. This is set for every type of requirement. |
| `result.operational.availabilitySla.intendedSlaBlockers[].documentationLink` | `string` Output only. The url of Google Cloud public documentation explaining this requirement. This is set for every type of requirement. |
| `result.operational.availabilitySla.intendedSlaBlockers[].regions[]` | `string` Output only. Regions used to explain this blocker in more detail. These are region names formatted like "us-central1". This will be set for some blockers (like INCOMPATIBLE_REGIONS) but does not apply to others. |
| `result.operational.availabilitySla.intendedSlaBlockers[].metros[]` | `string` Output only. Metros used to explain this blocker in more detail. These are three-letter lowercase strings like "iad". This will be set for some blockers (like NO_ATTACHMENTS_IN_METRO_AND_ZONE) but does not apply to others. |
| `result.operational.availabilitySla.intendedSlaBlockers[].zones[]` | `string` Output only. Zones used to explain this blocker in more detail. Format is "zone1" and/or "zone2". This will be set for some blockers (like MISSING_ZONE) but does not apply to others. |
| `result.operational.availabilitySla.intendedSlaBlockers[].attachments[]` | `string` Output only. URLs of any particular Attachments to explain this blocker in more detail. |
| `etag` | `string` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.interconnectAttachmentGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).